package com.zhyc.module.produce.breed.mapper;

import java.util.List;
import com.zhyc.module.produce.breed.domain.ScDryMilk;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 干奶记录Mapper接口
 * * @author ruoyi
 * @date 2025-07-15
 */
@Mapper
public interface ScDryMilkMapper
{
    /**
     * 查询干奶记录
     * * @param id 干奶记录主键
     * @return 干奶记录
     */
    public ScDryMilk selectScDryMilkById(Long id);

    /**
     * 查询干奶记录列表
     * * @param scDryMilk 干奶记录
     * @return 干奶记录集合
     */
    public List<ScDryMilk> selectScDryMilkList(ScDryMilk scDryMilk);

    /**
     * 新增干奶记录
     * * @param scDryMilk 干奶记录
     * @return 结果
     */
    public int insertScDryMilk(ScDryMilk scDryMilk);

    /**
     * 修改干奶记录
     * * @param scDryMilk 干奶记录
     * @return 结果
     */
    public int updateScDryMilk(ScDryMilk scDryMilk);

    /**
     * 删除干奶记录
     * * @param id 干奶记录主键
     * @return 结果
     */
    public int deleteScDryMilkById(Long id);

    /**
     * 批量删除干奶记录
     * * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScDryMilkByIds(String[] ids);

    /**
     * 根据耳号查询羊只ID
     */
    public Long selectSheepIdByManageTags(String manageTags);

    /**
     * 远程搜索耳号列表
     */
    public List<String> selectSheepEarNumberList(@Param("query") String query);

    /**
     * 远程搜索技术员列表
     */
    public List<String> searchTechnicianList(@Param("query") String query);
}